******------------------------------------------------------------------
*     This subroutine calculates expected values for each of the 
*     variables.
******------------------------------------------------------------------
      SUBROUTINE AVERS
******------------------------------------------------------------------
*     Double precision everything.
******------------------------------------------------------------------
      implicit double precision (a-h,o-z)
******------------------------------------------------------------------
*     Include files with all parameters and common blocks.
******------------------------------------------------------------------
      include 'fp_def.f'
      include 'cb_all.f'
******------------------------------------------------------------------
*     Estimate the expected values.
******------------------------------------------------------------------
      pave=0.0d0
      epave=0.0d0
      delave=0.0d0
      do i=0,1
         do j=0,md
            do k=0,md
               p=dble(i)
               eps=dble(j)/dfloat(md)
               del=dble(k)/dfloat(md)
               pave=pave+p*phi(i,j,k)
               epave=epave+eps*phi(i,j,k)
               delave=delave+del*phi(i,j,k)
            end do
         end do
      end do
******------------------------------------------------------------------
      return
      END
